@import "../../_mixins.scss";

.add-collector {
  margin-right: 15px !important;
}

.download-exe-btn {
  margin: 5px;
  .download-exe-img {
    height: var(--input-height);
    padding: 0px 10px 5px 0px;
  }
}

.action-button-clt {
  margin: 0px 5px;
}
.text-capitalize {
  text-transform: capitalize;
}

.add-edit-customerCollector {
  .copy-token-btn {
    margin-top: 35px;
    height: var(--input-height);
  }
}
.collector-details {
  width: 100%;

  .body-field-token {
    padding: 0 15px;
    display: flex;
    flex-direction: column;

    label {
      font-family: var(--font-first);
      @include text_one_line;
      &:first-child {
        color: var(--grey-label);
        text-transform: uppercase;
      }
      &:nth-child(2) {
        color: var(--black-font);
        padding-top: 5px;
      }
    }
  }
  .section-padding {
    padding: 10px;
  }
  .services {
    display: flex;

    .service {
      text-transform: capitalize;
      padding: 7px 20px;
      margin: 5px 5px 0 0;
      border: 1px dashed #ccc;
      min-width: 296px;
      .name {
        padding: 5px 0;
        font-weight: 600;
      }
      .last-run {
        color: var(--grey-label);
        line-height: 25px;
      }
    }
  }
  .mapping-collector {
    display: flex;
    flex-direction: column;
    padding: 0;
    margin: 20px 0;
    border: 1px dashed #ccc;

    .integration {
      display: flex;
      flex-direction: column;
      .matching-filds {
        display: flex;
        flex-direction: inherit;
        .query-heading {
          padding: 0 20px 10px 20px;
          font-weight: bold;
        }
        .queries {
          padding: 0 20px;
          .query {
            padding: 5px 0px;
            display: flex;
            .query-toggle {
              display: flex;
              padding: 0 30px;
              .c-switch-container {
                padding: 0 6px 6px 6px;
              }
            }
          }
          .np-query {
            padding: 8px 0px;
          }
        }
      }
    }
    span.error-message-collector {
      padding: 10px 20px !important;
      font-size: 16px !important;
    }
    .save-mapping-collector {
      width: 125px;
      margin: 0px 0px 10px 20px;
    }
    .heading {
      font-size: var(--font-l);
      font-weight: 600;
      text-transform: capitalize;
      padding: 10px 0px 0 20px;
    }
  }
  .collector-fields {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    padding: 0 15px;

    .body-field {
      display: flex;
      flex-direction: column;
      flex-basis: 33%;
      padding-top: 8px;
      padding-bottom: 8px;
      overflow: hidden;
      label {
        font-family: var(--font-first);
        @include text_one_line;
        &:first-child {
          color: var(--grey-label);
          text-transform: uppercase;
        }
        &:nth-child(2) {
          color: var(--black-font);
          padding-top: 5px;
        }
      }
      .label-expiration-date {
        font-weight: bold;
      }
      .support-status {
        padding: 0;
        margin-top: -5px;
      }
      .item-description {
        text-overflow: unset;
        white-space: unset;
      }
      .note-description {
        max-height: 100px;
        overflow-y: auto;
        text-overflow: unset;
        white-space: unset;
      }
      .info {
        white-space: unset;
      }
    }
  }

  .error-message-collector {
    font-size: var(--font-xxxxl);
    padding: 20px 0;
    color: red;
    text-align: center;
  }
  .collector-status {
    &.collector-status--Active,
    &.collector-status--active {
      width: 20px;
      height: 20px;
      background: green;
      border-radius: 50%;
      margin-left: 2px;
      .monitor {
        margin-left: 30px;
      }
    }
    &.collector-status--Inactive,
    &.collector-status--inactive {
      width: 20px;
      height: 20px;
      background: #afadad;
      border-radius: 50%;
      margin-left: 2px;
      .monitor {
        margin-left: 30px;
      }
    }
  }
  .modal-dialog {
    min-width: 950px !important;
  }
  .modal-content {
    min-width: 950px !important;
  }

  .integrations-heading {
    font-size: 24px;
    font-weight: 500;
    text-transform: capitalize;
    padding: 2px 0px 2px 8px;
    border: 1px solid #ccc;
    background: #cccccc47;
    border-radius: 5px 5px 0 0;
  }
  .disabled-section {
    pointer-events: none;
    opacity: 0.7;
  }
  .body-field-serial-numbers {
    border: 1px dashed #ccc;
    padding: 5px;
    margin: 5px 15px;
    word-wrap: break-word;
    p:first-child {
      color: var(--grey-label);
      text-transform: uppercase;
      display: flex;
      justify-content: space-between;
      .btn.btn-default {
        min-width: unset !important;
        height: 30px;
      }
    }
    label:nth-child(2) {
      color: var(--black-font);
      padding-top: 5px;
      overflow: auto;
      max-height: 120px;
      display: flex;
      flex-direction: column;
    }
  }
}

.customer-collector-listing-parent {
  .collector__table-actions {
    justify-content: flex-end !important;
    padding-bottom: 10px;
  }
  img.status-svg-images {
    width: 20px;
    height: 20px;
  }
  button.square-btn.queries-btn.btn.btn-primary {
    padding: 1px 10px;
    width: auto;
    font-size: var(--font-xs);
    height: 23px;
  }
}

.circle-animate-active {
  width: 20px;
  height: 20px;
  margin: 0 20px;
  background: green;
  border-radius: 50%;
  animation-name: heartbit-animate;
  animation-duration: 2s;
  animation-iteration-count: infinite;
}
.circle-animate-inactive {
  width: 20px;
  height: 20px;
  margin: 0 20px;
  background: red;
  border-radius: 50%;
  animation-duration: 2s;
}

@keyframes heartbit-animate {
  from {
    background-color: green;
  }
  to {
    background-color: #aed581;
  }
}

img.status-heartbit-images {
  width: 20px;
  margin: 0 20px;
}

.circle-animate-not-responding {
  width: 20px;
  height: 20px;
  margin: 0 20px;
  background: orange;
  border-radius: 50%;
  animation-name: heartbit-animate-not-responding;
  animation-duration: 4s;
  animation-iteration-count: infinite;
}

@keyframes heartbit-animate-not-responding {
  from {
    background-color: orange;
  }
  to {
    background-color: #f1ca56;
  }
}
